## gazelle-installer 24.10.01mx23

=== debian/changelog ===
gazelle-installer (24.10.01mx23) mx; urgency=medium

  * all extra customization options via /etc/gazelle-installer-data/installer.conf file
  * logo, help backdrop, live-to-installed script, show desktop changes

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 19 Oct 2024 18:30:14 -0400

gazelle-installer (24.09.01mx23) mx; urgency=medium

  * Set default domain name file

 -- Adrian <adrian@mxlinux.org>  Wed, 25 Sep 2024 17:06:15 -0400

gazelle-installer (24.05.01mx23) mx; urgency=medium

  * Fix: turn except=false to ignore grep test fail

 -- Adrian <adrian@mxlinux.org>  Sat, 18 May 2024 13:27:14 -0400

gazelle-installer (24.05mx23) mx; urgency=medium

  * Fix: use zeros if blkdiscard fails

 -- Adrian <adrian@mxlinux.org>  Tue, 14 May 2024 20:42:56 -0400

gazelle-installer (24.04.03mx23) mx; urgency=medium

  *  Fixed: live check

 -- Adrian <adrian@mxlinux.org>  Sat, 13 Apr 2024 18:06:50 -0400

gazelle-installer (24.04.02mx23) mx; urgency=medium

  * Fixed random chroot environment when compiled with Qt 6.
  * Fixed: advanced columns start with zero size.
  * Mark advanced columns in italic.

 -- Adrian <adrian@mxlinux.org>  Sat, 06 Apr 2024 22:11:34 -0400

gazelle-installer (24.04.01mx23) mx; urgency=medium

  * replace oobe.sh script into usr/bin

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 31 Mar 2024 17:18:26 -0400

gazelle-installer (24.03.04mx23) mx; urgency=medium

  * Load tip text only when the progress bar moves enough for a new tip.
  * Only beg for support once, not three times.
  * Improved help text sequencing for the splash screen.
  * Code improvements and some cleanup. 

 -- Adrian <adrian@mxlinux.org>  Sun, 31 Mar 2024 11:49:03 -0400

gazelle-installer (24.03.03mx23) mx; urgency=medium

  * Throbber enhanced noticeably.

 -- Adrian <adrian@mxlinux.org>  Sun, 24 Mar 2024 17:57:33 -0400

gazelle-installer (24.03.02mx23) mx; urgency=medium

  * fix typo in oobe init.d script

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 10 Mar 2024 23:50:14 -0400

gazelle-installer (24.03.01mx23) mx; urgency=medium

  * swap file fstab line fixes
  * in oem mode, start mx-locale if it exists to choose lang before oobe starts

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 02 Mar 2024 13:50:53 -0500

gazelle-installer (24.01.02mx23) mx; urgency=medium

  * ensure btrfs designation shows up in fstab when reusing partition
  * when using preserve, ignore /swap folder if it exists

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 28 Jan 2024 19:13:53 -0500

gazelle-installer (24.01.01mx23) mx; urgency=medium

  * ignore certain folders if they doesn't exist (toram fix)
  * show/hide button for advanced parition options

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 20 Jan 2024 23:12:39 -0500

gazelle-installer (23.12.04mx23) mx; urgency=medium

  * fix typo

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 28 Dec 2023 20:41:06 -0500

gazelle-installer (23.12.03mx23) mx; urgency=medium

  * ensure unique machine-id on oobe setups from images 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 25 Dec 2023 18:53:30 -0500

gazelle-installer (23.12.02mx23) mx; urgency=medium

  * use blkid -p instead of lsblk for fallback UUID harvest
  * remove autofill of ESP (mitigates btrfs add subvolume bug)
  * update translations
  * Encryption settings (password) moved into separate page.
  * Volume flags are now selected in the list instead of context menu.

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 24 Dec 2023 16:10:13 -0500

gazelle-installer (23.12.01mx23) mx; urgency=medium

  * ui adjustments (ak-47)
  * set /etc/papersize (dolphinoracle)
  * adjustments to oobe to deal with pi first starts
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 13 Dec 2023 19:30:27 -0500

gazelle-installer (23.11.01mx23) mx; urgency=medium

  * adjust oobe to not use full screen

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 18 Nov 2023 22:04:55 -0500

gazelle-installer (23.10.08mx23) mx; urgency=medium

  * wait for UUID information in fallback before trying to use it

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 16 Nov 2023 18:05:42 -0500

gazelle-installer (23.10.07mx23) mx; urgency=medium

  * fix UUID fallback mode in makeFstab (again)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 13 Nov 2023 18:26:08 -0500

gazelle-installer (23.10.06mx23) mx; urgency=medium

  * modify hosts on 127.0.1.1 as well (pi oobe)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 10 Nov 2023 19:13:22 -0500

## gazelle-installer 24.10.21

=== debian/changelog ===
gazelle-installer (24.10.21) unstable; urgency=medium

  * all extra customization options via /etc/gazelle-installer-data/installer.conf file
  * logo, help backdrop, live-to-installed script, show desktop changes
  * Set default domain name file

 -- anticapitalista <antix@operamail.com>  Mon, 21 Oct 2024 15:28:41 +0300

## gazelle-installer 24.11.01mx23%2B1

=== debian/changelog ===
gazelle-installer (24.11.01mx23+1) mx; urgency=medium

  * test repo build (bookworm)
  * qt6

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 30 Nov 2024 15:37:19 -0500

gazelle-installer (24.11mx23) mx; urgency=medium

  * current trixie test build (qt6)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 24 Nov 2024 12:33:13 -0500

gazelle-installer (24.7mx25) mx; urgency=medium

  * Trixie build

 -- Adrian <adrian@mxlinux.org>  Sat, 27 Jul 2024 21:53:05 -0400

=== debian/control ===
Source: gazelle-installer
Section: system
Priority: optional
Maintainer: dolphinoracle <dolphinoracle@gmail.com>
Build-Depends: 
	debhelper (>= 10),
	libzxcvbn-dev,
	qt6-base-dev, 
	qt6-tools-dev
Standards-Version: 3.9.8
Homepage: https://github.com/gazelle-installer

Package: mx-installer
Architecture: any
Depends: antix-libs,
         dosfstools,
         libzxcvbn0,
         system-keyboard-qt | fskbsetting,
         gazelle-installer-data-mx (>=23.07.02),
         gdisk,
         grub-efi-amd64-bin [amd64],
         grub-efi-ia32-bin [amd64],
         grub-efi-ia32-bin [i386],
         os-prober [amd64],
         os-prober [i386],
         parted,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gparted | partitionmanager, cryptsetup
Description: Customizable GUI installer for MX Linux and antiX Linux
 Customizable GUI installer for MX Linux and antiX Linux

=== debian/rules ===
#!/usr/bin/make -f
override_dh_auto_configure:
	qmake6

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	/usr/lib/qt6/bin/lrelease translations/*.ts
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
	dh_auto_build -- $(MAKE_OPTS)

# Uncomment if building in Virtual Box
# override_dh_shlibdeps:
#	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

%:
	dh $@ --no-automatic-dbgsym --parallel

## gazelle-installer 25.01.13

=== debian/changelog ===
gazelle-installer (25.01.13) unstable; urgency=medium

  * Disable ZRam (hang ups with Debian kernel 6.1.0-29-amd64)
  * remove discard from fstab default options
  * default window size adjustments

 -- anticapitalista <antix@operamail.com>  Mon, 13 Jan 2025 13:13:38 +0200

=== debian/control ===
Source: gazelle-installer
Section: system
Priority: optional
Maintainer: anticapitalista <antix@operamail.com>
XSBC-Original-Maintainer: dolphinoracle <dolphinoracle@gmail.com>
Build-Depends: 
	debhelper (>= 10), 
        libzxcvbn-dev,
	qtbase5-dev, 
	qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/gazelle-installer

Package: antix-installer
Architecture: any
Depends: antix-libs,
         dosfstools,
         efivar, 
         efibootmgr,
         libzxcvbn0,
         gdisk,
         grub-efi-amd64-bin [amd64],
         grub-efi-ia32-bin,
         gazelle-installer-data-antix (>=23.07.02),
         os-prober,
         parted,
         smartmontools,
	 system-keyboard-qt,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gparted | partitionmanager, cryptsetup 
Description: Customizable GUI installer for MX Linux and antiX Linux

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,15 @@
 #!/usr/bin/make -f
-override_dh_auto_configure:
-	qmake6
+export QT_SELECT=5
+
+QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
+MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	/usr/lib/qt6/bin/lrelease translations/*.ts
+	lrelease src.pro
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)

## gazelle-installer 25.03.01mx23

=== debian/changelog ===
gazelle-installer (25.03.01mx23) mx; urgency=medium

  * Updated translations.
  * Fix partition tree keyboard navigation absorbed by cells inside hidden columns.
  * Eliminated partition tree combo box enhancement due to issues with item selection by keyboard.

 -- Adrian <adrian@mxlinux.org>  Mon, 24 Mar 2025 17:48:49 -0400

gazelle-installer (25.03mx23) mx; urgency=medium

  * Add file systems only if mkfs for the format is available.
  * Use dd instead of fallocate for swap files (as recommended by swapon man page).
  * Allow default root account setup to be configurable.
  * Make installer.conf consistent and take advantage of sections.

 -- Adrian <adrian@mxlinux.org>  Tue, 18 Mar 2025 21:29:18 -0400

gazelle-installer (25.01.02mx23) mx; urgency=medium

  * Disable ZRam (hang ups with Debian kernel 6.1.0-29-amd64)

 -- Adrian <adrian@mxlinux.org>  Sun, 12 Jan 2025 12:09:43 -0500

gazelle-installer (25.01.01mx23) mx; urgency=medium

  * remove discard from fstab default options
  * version bump

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 06 Jan 2025 16:53:04 -0500

gazelle-installer (24.11.01mx23) mx; urgency=medium

  * default window size adjustments
  * timezone combobox fixes for trixie
  [fehlix]
  * blkdiscard fallback mode during partition creation

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 22 Nov 2024 19:18:57 -0500

## gazelle-installer 25.04mx23

=== debian/changelog ===
gazelle-installer (25.04mx23) mx; urgency=medium

  * Fixed incorrect Next button and hibernation check box state in swap file box.
  * Add slimski support. (courtesy anticapitalista)
  * Fix disabling of runit services. (courtesy anticapitalista)
  * Fix deletion of old system when a mount point is in a subdirectory.

 -- Adrian <adrian@mxlinux.org>  Thu, 03 Apr 2025 10:19:20 -0400

=== debian/control ===
Source: gazelle-installer
Section: system
Priority: optional
Maintainer: dolphinoracle <dolphinoracle@gmail.com>
Build-Depends: 
	debhelper (>= 10),
	libzxcvbn-dev,
	qtbase5-dev, 
	qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/gazelle-installer

Package: mx-installer
Architecture: any
Depends: antix-libs,
         dosfstools,
         libzxcvbn0,
         system-keyboard-qt | fskbsetting,
         gazelle-installer-data-mx (>=25.02.02) | gazelle-installer-data,
         gdisk,
         grub-efi-amd64-bin [amd64],
         grub-efi-ia32-bin [amd64],
         grub-efi-ia32-bin [i386],
         os-prober [amd64],
         os-prober [i386],
         parted,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gparted | partitionmanager, cryptsetup
Description: Customizable GUI installer for MX Linux and antiX Linux
 Customizable GUI installer for MX Linux and antiX Linux

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease src.pro
+	lrelease translations/*.ts
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)

## gazelle-installer 25.09.1mx25

=== debian/changelog ===
gazelle-installer (25.09.1mx25) mx; urgency=medium

  * Hide package upgrade check box until feature is implemented.

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Sep 2025 17:50:59 -0400

gazelle-installer (25.09mx25) mx; urgency=medium

  * Secure boot fixes
  * Stop connectSlotsByName() being generated in UI code
  * Build system migrated to CMake
  * Break up monolithic help text chunks
  * Significantly improved performance of MD5 checks
  * Run MD5 checks and information gathering concurrently

 -- Adrian <adrian@mxlinux.org>  Mon, 15 Sep 2025 09:28:13 -0400

gazelle-installer (25.07mx25) mx; urgency=medium

  * Do not mess with the default subvolume unless overwriting or deleting.
  * Disable code and UI for changing the default subvolume.
  * Fixed systemd detection under OOBE mode.
  * Fixed: service setup fails on systemd-only systems.
  * Fix for some sessions crashing or rebooting with udev restart.

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Jul 2025 08:48:20 -0400

gazelle-installer (25.06mx25) mx; urgency=medium

  * Prepare to move stuff out of /usr/local/ read script from alternative location
  * Simplified page widget layout.

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Jun 2025 21:53:19 -0400

gazelle-installer (25.04mx25) mx; urgency=medium

  * Enable zramswap service if the zram checkbox is ticked.
  * Fixed incorrect Next button and hibernation check box state in swap file
    box.
  * Add slimski support.
  * Fix disabling of runit services.
  * User can choose host-specific initramfs creation.
  * Fixed: existing zramswap settings not copied to new configuration.
  * Message box improvements.
  * Fix deletion of old system when a mount point is in a subdirectory.

 -- Adrian <adrian@mxlinux.org>  Thu, 03 Apr 2025 10:21:30 -0400

gazelle-installer (25.03.03mx25) mx; urgency=medium

  * Updated translations.
  * Fix partition tree keyboard navigation absorbed by cells inside hidden columns.
  * Eliminated partition tree combo box enhancement due to issues with item selection by keyboard.

 -- Adrian <adrian@mxlinux.org>  Tue, 25 Mar 2025 16:19:23 -0400

gazelle-installer (25.03.02mx25) mx; urgency=medium

  * No need for trim when already done by MProcess::readOut() function.
  * Replace hard-coded "demo" user with environment content.
  * Snapshot account fixes.
  * Fixed disabled Back button to Terms page under OOBE mode.
  * Do not load or save OOBE configuration in OEM mode.
  * Moved swap settings to a separate page. Added zram configuration to swap page.
  * Take advantage of btrfs/mkswap file creation features.

 -- Adrian <adrian@mxlinux.org>  Sun, 23 Mar 2025 18:05:28 -0400

gazelle-installer (25.03mx25) mx; urgency=medium

  * Add file systems only if mkfs for the format is available.
  * Use dd instead of fallocate for swap files (as recommended by swapon man page).
  * Allow default root account setup to be configurable.
  * Make installer.conf consistent and take advantage of sections.

 -- Adrian <adrian@mxlinux.org>  Tue, 18 Mar 2025 21:40:10 -0400

mx-installer (0.2.3) unstable; urgency=low

  * installer adds boot parameters.
  * changed code for replacing sting in /etc/default/grub.
  * replaced single quotes with double in sed.
  * disable automount in Thunar.
  * services screen is hidden and called by 'Advanced' button.
  * modified location view Services button.
  * changed translation location to match other mx tools.
  * changed MX-14 to MX Linux and other strings.
  * changed minstall_ to mx-installer_ in app.cpp.
  * added .qm files and added Japanes in src.pro.

 -- anticapitalista <antiX@operamail.com>  Sun, 09 Nov 2014 22:14:00 +0200

mx-installer (0.2.2) unstable; urgency=low

  * Removed condition in setting btrfs file system and added -f option.

 -- anticapitalista <antiX@operamail.com>  Sun, 29 Jun 2014 11:30:00 +0200

mx-installer (0.2.1) unstable; urgency=low

  * Disk warning text changed again.
  * New localisations.

 -- anticapitalista <antiX@operamail.com>  Fri, 27 Jun 2014 20:20:00 +0200

mx-installer (0.2.0) unstable; urgency=low

  * Changed disk warning text.

 -- anticapitalista <antiX@operamail.com>  Sun, 22 Jun 2014 13:30:00 +0200

mx-installer (0.1.9) unstable; urgency=low

  * fixed GUI problem selecting installing GRUB on boot.
  * added info about disks in combobox.
  * copy skel/.local and skel/.config to saved home but do not overwrite.
  * added option to install snapshot ISOs
  * fixed checkDisk.
  * exit installer at the end.
  * added descriptions for services.
  * changed size of columns.
  * scrollbar added.
  * remove /etc/skel/Desktop
  * Japanese localisation added.

 -- anticapitalista <antiX@operamail.com>  Sun, 08 Jun 2014 19:50:00 +0200

mx-installer (0.1.8) unstable; urgency=low

  * Changed focus policy for button on screen 3.

 -- anticapitalista <antiX@operamail.com>  Fri, 21 Mar 2014 13:40:00 +0200

mx-installer (0.1.7) unstable; urgency=low

  * Removed all code relating to buildfstab.
  * Remove /etc/skel/Desktop folder.

 -- anticapitalista <antiX@operamail.com>  Fri, 14 Mar 2014 18:30:00 +0200

mx-installer (0.1.6) unstable; urgency=low

  * Fixed issues with sv translation.
  * New Romanian and Dutch translation.
  * If us/gb/uk keyboard selected, only use that ie remove us,us.
  * set swap (if any) using make-fstab script;
  * use dev2uuid_fstab script to rebuild /etc/fstab for uuid
  * removed rc.local.live - no longer needed.

 -- anticapitalista <antiX@operamail.com>  Thu, 27 Feb 2014 18:10:00 +0200

mx-installer (0.1.5) unstable; urgency=low

  * Added checks to hostname.
  * New translations including Romanian and Swedish.

 -- anticapitalista <antiX@operamail.com>  Fri, 20 Feb 2014 21:40:00 +0200

mx-installer (0.1.4) unstable; urgency=low

  * Localisation completed.
  * Added winbind and haveged to startup on/off options.

 -- anticapitalista <antiX@operamail.com>  Tue, 11 Feb 2014 16:40:00 +0200

mx-installer (0.1.3) unstable; urgency=low

  * Changes to localisation (incomplete).


## gazelle-installer 25.09.2mx25

=== debian/changelog ===
gazelle-installer (25.09.2mx25) mx; urgency=medium

  * Do not localize-repo, already done on live system

 -- Adrian <adrian@mxlinux.org>  Tue, 23 Sep 2025 21:27:08 -0400

## gazelle-installer 25.09.23

=== debian/changelog ===
gazelle-installer (25.09.23) unstable; urgency=medium

  * numerous upstream changes for trixie release

 -- anticapitalista <antix@operamail.com>  Tue, 23 Sep 2025 20:34:36 +0300

## gazelle-installer 25.10mx25

=== debian/changelog ===
gazelle-installer (25.10mx25) mx; urgency=medium

  * Fix: btrfs fixes when installing to existing subvolumes
  * Fix: filter out ventoy boot device from drive selection

 -- Adrian <adrian@mxlinux.org>  Sat, 04 Oct 2025 21:02:51 -0400

## gazelle-installer 25.10.4mx25

=== debian/changelog ===
gazelle-installer (25.10.4mx25) mx; urgency=medium

  * Revert installation without --no-nvram

 -- Adrian <adrian@mxlinux.org>  Fri, 24 Oct 2025 09:15:56 -0400

gazelle-installer (25.10.3mx25) mx; urgency=medium

  * Track whether the initial EFI grub-install succeeded without --no-nvram. When it does, we leave NVRAM updates entirely to GRUB; when it fails and we retry with --no-nvram, we fall back to the existing efibootmgr cleanup/creation path

 -- Adrian <adrian@mxlinux.org>  Mon, 20 Oct 2025 21:57:46 -0400

gazelle-installer (25.10.2mx25) mx; urgency=medium

  * Fix: no longer trying to format non-Linux partitions from fstab for
    reinstallation workflow
  * Fix: in reinstallation workflow fix swap partition not being allowed and don't force
    a swap reformat
  * Closes LUKS devices when navigating back to installation choice to avoid
    repartition failure due to mapper devices being left open

 -- Adrian <adrian@mxlinux.org>  Sun, 19 Oct 2025 19:29:33 -0400

gazelle-installer (25.10.1mx25) mx; urgency=medium

  * Added option to do a replace installation for encrypted and/or btrfs
    partitions

 -- Adrian <adrian@mxlinux.org>  Fri, 17 Oct 2025 19:13:48 -0400

=== debian/control ===
Source: gazelle-installer
Section: system
Priority: optional
Maintainer: dolphinoracle <dolphinoracle@gmail.com>
Build-Depends: debhelper-compat (= 13),
	cmake (>= 3.31),
	ninja-build (>= 1.12),
	qt6-base-dev (>= 6.8),
	qt6-base-dev-tools (>= 6.8),
	qt6-tools-dev (>= 6.8),
	qt6-tools-dev-tools (>= 6.8),
	libzxcvbn-dev (>= 2.5)
Standards-Version: 4.7.2
Homepage: https://github.com/gazelle-installer

Package: mx-installer
Architecture: any
Depends: antix-libs,
	qt6-base-dev,
	qt6-svg-plugins,
	dosfstools,
	libzxcvbn0,
	system-keyboard-qt | fskbsetting,
	gazelle-installer-data-mx (>=25.02.02) | gazelle-installer-data,
	gdisk,
	grub-efi-amd64-bin [amd64],
	grub-efi-ia32-bin [amd64],
	grub-efi-ia32-bin [i386],
	os-prober [amd64],
	os-prober [i386],
	parted,
	${misc:Depends},
	${shlibs:Depends}
Recommends: gparted | partitionmanager, cryptsetup
Description: Customizable GUI installer for MX Linux and antiX Linux
 Customizable GUI installer for MX Linux and antiX Linux

## gazelle-installer 25.10.05

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.31 FATAL_ERROR)
include(build.cmake)

project(minstall
	VERSION 6.0
	DESCRIPTION "Gazelle Installer for antiX Linux and MX Linux"
	LANGUAGES CXX
)
# TODO: Remove for final release
set(PROJECT_VERSION "${PROJECT_VERSION}-ALPHA")

find_package(Qt6 6.8 REQUIRED COMPONENTS Core Gui Widgets Concurrent LinguistTools)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 23)
#set(CMAKE_CXX_SCAN_FOR_MODULES ON)

qt_standard_project_setup()

qt_add_executable(minstall
	app.cpp
	autopart.cpp autopart.h
	base.cpp base.h
	bootman.cpp bootman.h
	checkmd5.cpp checkmd5.h
	core.cpp core.h
	crypto.cpp crypto.h
	minstall.cpp minstall.h
	mprocess.cpp mprocess.h
	msettings.cpp msettings.h
	mtreeview.cpp mtreeview.h
	oobe.cpp oobe.h
	partman.cpp partman.h
	passedit.cpp passedit.h
	replacer.cpp replacer.h
	swapman.cpp swapman.h
	images.qrc
)
qt_add_ui(minstall SOURCES
	meinstall.ui
)
#target_sources(minstall PRIVATE FILE_SET CXX_MODULES FILES
#	TODO: add files that are C++20 modules.
#)

target_link_libraries(minstall PRIVATE
	Qt::Core
	Qt::Gui
	Qt::Widgets
	Qt::Concurrent
	zxcvbn
)

build_compilation_setup(minstall)
build_version_definition(minstall VERSION)
build_translation_files(minstall translations)

target_compile_definitions(minstall PRIVATE
	QT_DISABLE_DEPRECATED_UP_TO=0x060800
	CODEBASE_VERSION="${PROJECT_VERSION}"
)

include(GNUInstallDirs)
install(TARGETS minstall
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== debian/changelog ===
gazelle-installer (25.10.05) unstable; urgency=medium

  * Fix: btrfs fixes when installing to existing subvolumes
  * Fix: filter out ventoy boot device from drive selection

 -- anticapitalista <antix@operamail.com>  Sun, 05 Oct 2025 18:35:42 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gazelle-installer
 Section: system
 Priority: optional
-Maintainer: dolphinoracle <dolphinoracle@gmail.com>
+Maintainer: anticapitalista <antix@operamail.com>
+XSBC-Original-Maintainer: dolphinoracle <dolphinoracle@gmail.com>
 Build-Depends: debhelper-compat (= 13),
 	cmake (>= 3.31),
 	ninja-build (>= 1.12),
@@ -13,7 +14,7 @@
 Standards-Version: 4.7.2
 Homepage: https://github.com/gazelle-installer
 
-Package: mx-installer
+Package: antix-installer
 Architecture: any
 Depends: antix-libs,
 	qt6-base-dev,
@@ -21,7 +22,7 @@
 	dosfstools,
 	libzxcvbn0,
 	system-keyboard-qt | fskbsetting,
-	gazelle-installer-data-mx (>=25.02.02) | gazelle-installer-data,
+	gazelle-installer-data-antix,
 	gdisk,
 	grub-efi-amd64-bin [amd64],
 	grub-efi-ia32-bin [amd64],

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	cmake --preset default

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	cmake --build --preset default

override_dh_auto_test:
	# Skip tests as no test targets are defined

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/minstall ninja -C _build_ install

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --buildsystem=cmake+ninja --no-automatic-dbgsym

## gazelle-installer 25.10.07

=== debian/changelog ===
gazelle-installer (25.10.07) trixie; urgency=medium

  * trixie build

 -- anticapitalista <antix@operamail.com>  Tue, 07 Oct 2025 11:37:52 -0400

## gazelle-installer 25.11mx25

=== debian/changelog ===
gazelle-installer (25.11mx25) mx; urgency=medium

  * Easy dual disk setup.
  * Boot loader and image fixes.
  * Improved installation replacement UX, cleanup and fixes.
  * Improved partition confirmation items.
  * Fixed duplicate EFI boot entry cleanup.
  * Various other bug fixes, code and UX improvements.
  * Eliminate "RC" from code/config version.

 -- Adrian <adrian@mxlinux.org>  Mon, 03 Nov 2025 12:27:05 -0500

## gazelle-installer 25.11.01mx25

=== debian/changelog ===
gazelle-installer (25.11.01mx25) mx; urgency=medium

  * Fixed subvolume removal routine.
  * Fixed: unclean ext3/ext4/xfs file systems ignored during scans. Scan all btrfs subvolumes on a volume for installations.

 -- Adrian <adrian@mxlinux.org>  Tue, 04 Nov 2025 16:10:00 -0500

## gazelle-installer 25.11.02

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	LANGUAGES CXX
 )
 # TODO: Remove for final release
-set(PROJECT_VERSION "${PROJECT_VERSION}-ALPHA")
+set(PROJECT_VERSION "${PROJECT_VERSION}")
 
 find_package(Qt6 6.8 REQUIRED COMPONENTS Core Gui Widgets Concurrent LinguistTools)
 set(CMAKE_AUTORCC ON)

=== debian/changelog ===
gazelle-installer (25.11.02) unstable; urgency=medium

  * Track whether the initial EFI grub-install succeeded without --no-nvram. When it does, we leave NVRAM updates entirely to GRUB; when it fails and we retry with --no-nvram, we fall back to the existing efibootmgr cleanup/creation path
  * various upstream changes


 -- anticapitalista <antix@operamail.com>  Sun, 02 Nov 2025 16:50:26 +0200

## gazelle-installer 25.11.02mx25

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,6 @@
 	DESCRIPTION "Gazelle Installer for antiX Linux and MX Linux"
 	LANGUAGES CXX
 )
-# TODO: Remove for final release
-set(PROJECT_VERSION "${PROJECT_VERSION}")
 
 find_package(Qt6 6.8 REQUIRED COMPONENTS Core Gui Widgets Concurrent LinguistTools)
 set(CMAKE_AUTORCC ON)
@@ -34,6 +32,7 @@
 	passedit.cpp passedit.h
 	replacer.cpp replacer.h
 	swapman.cpp swapman.h
+	throbber.h throbber.cpp
 	images.qrc
 )
 qt_add_ui(minstall SOURCES

=== debian/changelog ===
gazelle-installer (25.11.02mx25) mx; urgency=medium

  * Fixed: stale swap file will cause installation to fail.
  * Simplified deletion of (nested) subvolumes.

 -- Adrian <adrian@mxlinux.org>  Wed, 05 Nov 2025 16:32:48 -0500

## gazelle-installer 25.11.03mx25

=== debian/changelog ===
gazelle-installer (25.11.03mx25) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Nov 2025 20:02:31 -0500

## gazelle-installer 25.11.04mx25

=== debian/changelog ===
gazelle-installer (25.11.04mx25) mx; urgency=medium

  * fix fbx64.efi file detection

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 11 Nov 2025 20:36:59 -0500

## gazelle-installer 25.11.07

=== debian/changelog ===
gazelle-installer (25.11.07) unstable; urgency=medium

  * Fixed: stale swap file will cause installation to fail.
  * Simplified deletion of (nested) subvolumes.

 -- anticapitalista <antix@operamail.com>  Fri, 07 Nov 2025 16:06:43 +0200

## gazelle-installer 25.11.15

=== debian/changelog ===
gazelle-installer (25.11.15) unstable; urgency=medium

  * upstream fixes

 -- anticapitalista <antix@operamail.com>  Sat, 15 Nov 2025 16:23:42 -0500

## gazelle-installer 25.12.01mx25

=== debian/changelog ===
gazelle-installer (25.12.01mx25) mx; urgency=medium

  * don't copy grub.cfg if it doesn't exist (32 bit uefi)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 01 Dec 2025 17:50:25 -0500

## gazelle-installer 25.12.02mx25

=== debian/changelog ===
gazelle-installer (25.12.02mx25) mx; urgency=medium

  * Avoid throwing an exception in a noexcept function.
  * Correct copy action on debian grub.cfg

 -- Adrian <adrian@mxlinux.org>  Tue, 16 Dec 2025 18:56:38 -0500

## gazelle-installer 25.12.04

=== debian/changelog ===
gazelle-installer (25.12.04) unstable; urgency=medium

  * correct copy action on debian grub.cfg

 -- anticapitalista <antix@operamail.com>  Thu, 04 Dec 2025 15:35:51 +0200

## gazelle-installer 26.1mx25

=== debian/changelog ===
gazelle-installer (26.1mx25) mx; urgency=medium

  * allow fallback to usr/bin/live-to-installed
  * replacement-only ESP fallback

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jan 2026 14:39:03 -0500

## gazelle-installer 26.1.2mx25

=== debian/changelog ===
gazelle-installer (26.1.2mx25) mx; urgency=medium

  * add REPLACES to control file (replaces script in mx-goodies)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 02 Jan 2026 18:18:08 -0500

gazelle-installer (26.1.1mx25) mx; urgency=medium

  * adjust launcher script. oobe.sh for new minstall location

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jan 2026 17:20:31 -0500

## gazelle-installer 26.1.3mx25

=== debian/changelog ===
gazelle-installer (26.1.3mx25) mx; urgency=medium

  * Fix and update translations

 -- Adrian <adrian@mxlinux.org>  Mon, 05 Jan 2026 11:21:28 -0500

## gazelle-installer 26.1.4mx25

=== debian/changelog ===
gazelle-installer (26.1.4mx25) mx; urgency=medium

  * adjust control file to fix conflict issue wit mx-goodies (<<26.01.01)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 07 Jan 2026 19:03:19 -0500

## gazelle-installer 26.1.5mx25

=== debian/changelog ===
gazelle-installer (26.1.5mx25) mx; urgency=medium

  * ensure /home exists before doing copy

 -- Adrian <adrian@mxlinux.org>  Wed, 14 Jan 2026 20:42:05 -0500
 

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gazelle-installer
 Section: system
 Priority: optional
-Maintainer: anticapitalista <antix@operamail.com>
-XSBC-Original-Maintainer: dolphinoracle <dolphinoracle@gmail.com>
+Maintainer: dolphinoracle <dolphinoracle@gmail.com>
 Build-Depends: debhelper-compat (= 13),
 	cmake (>= 3.31),
 	ninja-build (>= 1.12),
@@ -14,15 +13,17 @@
 Standards-Version: 4.7.2
 Homepage: https://github.com/gazelle-installer
 
-Package: antix-installer
+Package: mx-installer
 Architecture: any
+Replaces: mx-goodies,
+Breaks: mx-goodies (<<26.01.01)
 Depends: antix-libs,
 	qt6-base-dev,
 	qt6-svg-plugins,
 	dosfstools,
 	libzxcvbn0,
 	system-keyboard-qt | fskbsetting,
-	gazelle-installer-data-antix,
+	gazelle-installer-data-mx (>=25.02.02) | gazelle-installer-data,
 	gdisk,
 	grub-efi-amd64-bin [amd64],
 	grub-efi-ia32-bin [amd64],

## gazelle-installer 26.01.16

=== debian/changelog ===
gazelle-installer (26.01.16) unstable; urgency=medium

  * ensure /home exists before doing copy

 -- anticapitalista <antix@operamail.com>  Fri, 16 Jan 2026 18:24:30 +0200

## gazelle-installer 26.02.05

=== debian/changelog ===
gazelle-installer (26.02.05) unstable; urgency=medium

  * fix rw for UEFI - thanks dolphin_oracle
  * Use latest from main repo (includes stuff for Arch OS)

 -- anticapitalista <antix@operamail.com>  Thu, 05 Feb 2026 17:15:12 +0200

gazelle-installer (26.02.02) unstable; urgency=medium

  * ESP set to 1024 rather than 512 in partman.cpp

 -- anticapitalista <antix@operamail.com>  Mon, 02 Feb 2026 18:55:21 +0200

## gazelle-installer 26.02.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 	DESCRIPTION "Gazelle Installer for antiX Linux and MX Linux"
 	LANGUAGES CXX
 )
+
+option(USE_ZXCVBN "Use zxcvbn for password strength estimation" ON)
 
 find_package(Qt6 6.8 REQUIRED COMPONENTS Core Gui Widgets Concurrent LinguistTools)
 set(CMAKE_AUTORCC ON)
@@ -47,8 +49,12 @@
 	Qt::Gui
 	Qt::Widgets
 	Qt::Concurrent
-	zxcvbn
 )
+
+if(USE_ZXCVBN)
+	target_link_libraries(minstall PRIVATE zxcvbn)
+	target_compile_definitions(minstall PRIVATE WITH_ZXCVBN)
+endif()
 
 build_compilation_setup(minstall)
 build_version_definition(minstall VERSION)

=== debian/changelog ===
gazelle-installer (26.02.21) unstable; urgency=medium

  * restore locale when launching partition editor - thanks Adrian

 -- anticapitalista <antix@operamail.com>  Sat, 21 Feb 2026 20:28:08 +0200
